//Datei: InitPIC.c
//
// Grundeinstellung des PIC
//
// Copyright 1999 by Holger Klabunde
// 22.04.2001
// Compiler PICC Lite


#include "prozess.h"      /* Der verwendete Prozessor */

#include "ds1821.h"
#include "protos.h"

//**************************************************
//**************************************************
//PIC Grundeinstellungen
//**************************************************
//**************************************************
void InitPIC()
{

 OPTION=0b11010110;	 //Prescaler 1:128 und Intern Clock fr TMR0	
 
// Der Takt des PIC betrgt 4MHz
// Ein Maschinenzyklus damit 1us

 TRISA=0x0F; // PortA 	alles Eingnge auer RA4
 TRISB=0b01000000; // PortB 	alles Ausgnge auer PB6 

 PORTB=0x40;    //Definierten Zustand einstellen
 PORTA=0x1F;    //Pullup Ra4
}
