// Datei: delay.c
// Verzgerungsschleifen
//
// Holger Klabunde 
// 22.04.2001
// Compiler PICCLite

#include "prozess.h"      /* Der verwendete Prozessor */
#include "protos.h"

//Fr Taktfrequenz des PIC = 4MHz
//Ein Taktzyklus=1us
//delay<=255 !!
unsigned char del;

void Delay1ms(unsigned char delay)
{
 del=delay;
#asm

DLMS4M1
//Die 0 vor dem F9 mu sein !!
   MOVLW 0F9h          //1
   MOVWF _FSR           //1

DLMS4M2                //4 cycles
     nop               //1
     DECFSZ _FSR        //1
     goto  DLMS4M2     //2

   DECFSZ _del     //1
   goto DLMS4M1        //2
#endasm
}

void Delay100us(unsigned char delay)
{
 del=delay;
#asm

DLUS4M1
//Die 0 vor dem Hexwert mu sein !!
   MOVLW 019h          //1 Wert 25
   MOVWF _FSR           //1

DLUS4M2                //4 cycles
     nop               //1
     DECFSZ _FSR        //1
     goto  DLUS4M2     //2

   DECFSZ _del     //1
   goto DLUS4M1        //2
#endasm
}

//2 Cycles for CAll
//2 Cycles for RET
void Delay10us()
{
 NOP(); NOP();
 NOP(); NOP();
 NOP(); NOP();
}
